summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorBjörn Esser <besser82@fedoraproject.org>2018-10-18 22:23:19 +0200
committerBjörn Esser <besser82@fedoraproject.org>2018-10-18 23:26:19 +0200
commited11116c6e4b5b80ef8f6f57fe8db4aa3604a53b (patch)
tree999a53368264cb94495722438a1c68987d972bb7 /bootstrap
parent9bae80381beabc1b08b0fd89d2a4e6e15e3e5da0 (diff)
downloadlibxcrypt-ed11116c6e4b5b80ef8f6f57fe8db4aa3604a53b.tar.gz
libxcrypt-ed11116c6e4b5b80ef8f6f57fe8db4aa3604a53b.tar.bz2
libxcrypt-ed11116c6e4b5b80ef8f6f57fe8db4aa3604a53b.zip
Add bootstrap script.
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap33
1 files changed, 33 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..af6433a
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Copyright (C) 2018 Björn Esser <besser82@fedoraproject.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+set -efu
+LANG=C
+
+run_cmd()
+{
+ echo "bootstrap: running: $@"
+ "$@"
+}
+
+if [ -d .git ]; then
+ run_cmd git clean -dfX
+fi
+
+run_cmd autoreconf -iv -Wall,error